# 69. Mutatie: "Photo" verwijderen

Verwijder de geselecteerde "Foto".

{% hint style="info" %}
Je moet de Eigenaar zijn om een foto te verwijderen.
{% endhint %}

De "Foto" kan gekoppeld zijn aan ofwel "Notitie" of "Opmerking". Daarom is het verplicht om de attributen uuid, noteUuid en commentUuid in de respons te controleren.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie DeleteNotePhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
  }) {
    uuid
    noteUuid
    url
    aanmaakdatum
    updatedDate
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie DeleteCommentPhotoSample {
  deletePhoto(input: {
    uuid: "<placeholder_for_photo_uuid>"
    noteUuid: "<placeholder_for_note_uuid>"
    commentUuid: "<placeholder_for_comment_uuid>"
  }) {
    uuid
    noteUuid
    commentUuid
    url
    aanmaakdatum
    updatedDate
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-docs/overzicht-van-api-verzoeken-van-geopard/69.-mutatie-photo-verwijderen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
